Package Details: ida-free 8.4.240215-1

Git Clone URL: https://aur.archlinux.org/ida-free.git (read-only, click to copy)
Package Base: ida-free
Description: Freeware version of the world's smartest and most feature-full disassembler
Upstream URL: https://www.hex-rays.com/products/ida/
Licenses: custom
Submitter: fatalis
Maintainer: fatalis
Last Packager: fatalis
Votes: 26
Popularity: 0.001945
First Submitted: 2018-02-02 22:28 (UTC)
Last Updated: 2024-02-16 17:51 (UTC)

Dependencies (1)

Required by (1)

Sources (2)

Latest Comments

1 2 3 Next › Last »

fatalis commented on 2023-02-14 16:32 (UTC)

to be clear, they keep updating the installer without changing the filename, which is why the sha256 keeps mismatching.

fixed it again

FoxXtreme commented on 2023-02-14 13:09 (UTC)

having the same problem that D3vil0p3r haves

stanm commented on 2023-01-29 09:18 (UTC)

Problems with the signature again.

D3vil0p3r commented on 2022-12-10 12:54 (UTC)

Error during the install of the pkg:

==> Validating source files with sha256sums...
    idafree81_linux.run-8.1.221006-1 ... FAILED
    ida-free.desktop ... Passed
==> ERROR: One or more files did not pass the validity check!
error: failed to download sources for 'ida-free-8.1.221006-1': 
error: packages failed to build: ida-free-8.1.221006-1

The SHA256 of idafree81_linux.run is not correct, the wrong one is "13d090ee470884d3656775b093582664186baee7804fffd1e6e9f9e16d9b59e5". Could you replace it by "28b270de3cb877987accee40d9d9eb24d958f23b3a9821bcabebf5493ac4e336" in PKGBUILD?

vamastah commented on 2021-09-21 19:33 (UTC)

Dependency for qwingraph should be added in order to properly generate graphs. I have not found any qwingraph package for Arch Linux, I installed it from https://github.com/WqyJh/qwingraph_qt5 and it worked like a charm.

chucklesB commented on 2021-05-27 17:07 (UTC)

sha256sum does not match, I get "f065227ea16fd4bed393056dbf1c38559d91896686c1a54bc58c38b3406b7243"

dmnur commented on 2021-01-03 11:41 (UTC)

Please consider adding gtk2 as an optional dependency. Without it, under GNOME the bundled Qt libraries fail to find a suitable platform theme, making the UI unusable:

$ ls /opt/ida-free/plugins/platformthemes
libqgtk2.so

stick commented on 2020-04-27 17:56 (UTC)

/usr/bin/chroot: failed to run command ‘/idafree70_linux.run-7.0.191002-1’: No such file or directory

fatalis commented on 2020-04-26 18:39 (UTC)

@stick /tmp/bitrock_installer.log

stick commented on 2020-04-26 18:36 (UTC) (edited on 2020-04-26 18:44 (UTC) by stick)

Which file was it that made the fakechroot necessary? I worked through it all today and I can't find any files installed outside the given prefix. Maybe the new installer from October fixed that?

P.S. - I made a series of changes to the package files; you can see them here: https://git.sr.ht/~stick/aur-ida-free